Type to search.

Test a workflow

Base URL
https://{kibana_url}
  • POST /api/workflows/test
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Execute a workflow in test mode without requiring it to be saved or enabled. Provide either a workflow ID to test a saved workflow, a YAML definition to test an unsaved draft, or both to test a modified version of an existing workflow.

Required privileges

Privileges workflowsManagement:execute

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

inputs map string to object required

Key-value inputs for the test execution.

workflowId string

ID of an existing workflow to test.

workflowYaml string

YAML definition to test.

Response

200

Indicates a successful response

application/json